#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.1.0
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.1.0-4XgRkIqAnTm8WHdePAr0iC-dns-internal
key:                  dns-4.1.0-4XgRkIqAnTm8WHdePAr0iC-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  cefa515298dfcd35905fb1c379924846
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.0-4XgRkIqAnTm8WHdePAr0iC-dns-internal
depends:
    array-0.5.4.0 async-2.2.5-15OfoiZvWuqFJ47Bsyq43l
    attoparsec-0.14.4-4TYzWI7gKmZ2TJS0tW1u7Q
    auto-update-0.1.6-Lc14aSiYmXY6Om68Ih0Q5y base-4.15.1.0
    base16-bytestring-1.0.2.0-FO4uYOZBv783BbExK26Xj2
    base64-bytestring-1.2.1.0-2JpYXdPs7N26wJxdqb9p9
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-4dmvWs2I7PfFlSuI47JTFr
    hourglass-0.2.12-JgXrY57qc8nISmfY2wOvE1
    iproute-1.7.12-4Vz732dh7TKC7oa2arHlnC mtl-2.2.2
    network-3.1.4.0-9BhTQWlTEgzEJF9ToXEkqb
    psqueues-0.2.8.0-1ZE4t118PTVI80Dbl0ks5J

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.1.0
visibility:           public
id:                   dns-4.1.0-9xFIKSOD0DCBDyzYEq4pnC
key:                  dns-4.1.0-9xFIKSOD0DCBDyzYEq4pnC
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  f11173f9a7c1114f3a722855a32ad36d
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.0-9xFIKSOD0DCBDyzYEq4pnC
depends:
    array-0.5.4.0 async-2.2.5-15OfoiZvWuqFJ47Bsyq43l
    attoparsec-0.14.4-4TYzWI7gKmZ2TJS0tW1u7Q
    auto-update-0.1.6-Lc14aSiYmXY6Om68Ih0Q5y base-4.15.1.0
    base16-bytestring-1.0.2.0-FO4uYOZBv783BbExK26Xj2
    base64-bytestring-1.2.1.0-2JpYXdPs7N26wJxdqb9p9
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-4dmvWs2I7PfFlSuI47JTFr
    dns-4.1.0-4XgRkIqAnTm8WHdePAr0iC-dns-internal
    hourglass-0.2.12-JgXrY57qc8nISmfY2wOvE1
    iproute-1.7.12-4Vz732dh7TKC7oa2arHlnC mtl-2.2.2
    network-3.1.4.0-9BhTQWlTEgzEJF9ToXEkqb
    psqueues-0.2.8.0-1ZE4t118PTVI80Dbl0ks5J

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

